import { select, arc } from 'd3';

const svg = select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg
  .append('g')
  .attr(
    'transform',
    `translate(${width / 2}, ${height / 2})`
  );

const circle = g.append('circle');

circle.attr('r', height / 2);
circle.attr('fill', 'yellow');
circle.attr('stroke', 'black');

const eyeSpacing = 101;
const eyeYOffset = -89;
const eyeRadius = 30;
const eyebrowWidth = 80;
const eyebrowHeight = 10;
const eyebrowYOffset = -40;

const eyesG = g
  .append('g')
  .attr(
    'transform',
    `translate(0, ${eyeYOffset})`
  );
const earsG = g
  .append('g')
  .attr(
    'transform',
    `translate(-180, -96)`
  );

const leftEar = earsG
  .append('circle')
  .attr('r', 70)
  .attr('cx', -91);
const rightEar = earsG
  .append('circle')
  .attr('r', 70)
  .attr('cx', 470);
const leftEye = eyesG
  .append('circle')
  .attr('r', eyeRadius)
  .attr('cx', -eyeSpacing);

const rightEye = eyesG
  .append('circle')
  .attr('r', eyeRadius)
  .attr('cx', eyeSpacing);

const eyebrowsG = eyesG
  .append('g')
  .attr(
    'transform',
    `translate(0, ${eyebrowYOffset})`
  );
const leftEyebrow = eyebrowsG
  .append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const rightEyebrow = eyebrowsG
  .append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight); 

const nose = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 10,
      outerRadius: 60,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * 5 / 2
    }));
const croner1 = earsG
  .append('circle')
  .attr('r', 20)
  .attr('cx', 180)
.attr(
    'transform',
    `translate(-150, 150)`
  );
const corner2 = earsG
  .append('circle')
  .attr('r', 20)
  .attr('cx', 180)
.attr(
    'transform',
    `translate(150, 150)`
  );
const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius:150,
      outerRadius: 160,
      startAngle: Math.PI/1.66,
      endAngle: Math.PI * 3.2 / 2.3,
    }));
const beard = g
  .append('path')
    .attr('d', arc()({
      innerRadius:180,
      outerRadius: 250,
      startAngle: Math.PI/1.66,
      endAngle: Math.PI * 3.2 / 2.3,
    }));
const moustache=g.append('line')
        .style("stroke", "black")
        .style("stroke-width", 5)
        .attr("x1", 0)
        .attr("y1", 80)
        .attr("x2", 80)
        .attr("y2", 100);
const moustache2=g.append('line')
        .style("stroke", "black")
        .style("stroke-width", 5)
        .attr("x1", 0)
        .attr("y1", 80)
        .attr("x2", -80)
        .attr("y2", 100);
const moustache3=g.append('line')
        .style("stroke", "black")
        .style("stroke-width", 5)
        .attr("x1", 0)
        .attr("y1", 80)
        .attr("x2", -80)
        .attr("y2", 60);
const moustache4=g.append('line')
        .style("stroke", "black")
        .style("stroke-width", 5)
        .attr("x1", 0)
        .attr("y1", 80)
        .attr("x2", 80)
        .attr("y2", 60);









